Subject: Re: [PATCH] ath9k: remove set but not used variable 'acq'

From: Toke Høiland-Jørgensen <[email-masked]>
Date: Mon, 25 Feb 2019 11:49:21 +0100

Kalle Valo <[email-masked]> writes:

> Toke Høiland-Jørgensen <[email-masked]> writes:
>
>> YueHaibing <[email-masked]> writes:
>>
>>> Fixes gcc '-Wunused-but-set-variable' warning:
>>>
>>> drivers/net/wireless/ath/ath9k/recv.c: In function 'ath_rx_count_airtime':
>>> drivers/net/wireless/ath/ath9k/recv.c:1010:18: warning:
>>>  variable 'acq' set but not used [-Wunused-but-set-variable]
>>>
>>> It's not used after 89cea7493a34 ("ath9k: Switch to mac80211 TXQ scheduling
>>> and airtime APIs"). Also remove related variables.
>>
>> Ah, right, seems I forgot to clean that up. I wonder why I didn't get a
>> compiler warning for it.
>
> I think the warning is not enabled by default and you need to use W=1
> Makefile variable to enable it.

Hmm, right, thanks! Guess I should get into the habit of compiling with
warnings enabled before submitting patches :)

-Toke